/*
 * Addmissions.java
 *
 * Created on October 11, 2004, 1:47 AM
 */

package university;

/**
 * Class for addmission in the university
 *
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */

public class Addmissions extends Admin{
    
    /**
     * Creates a new instance of Addmissions
     * @param name The name of the Addmission Unit.
     * @param address The Address of the Addmission Unit.
     */
    protected Addmissions(String name, Address address){
        super(name, address);
    }
    
    /**
     * Returns an instance of the Addmission Unit.
     * @return Unit An instance of Unit.
     */
    public static Unit getInstance(){
        return addmission;
    }
  
    /**
     * Singleton method to create an instance of Addmissions.
     * @param name The name of the Addmissions Unit.
     * @param address The address of the Addmission Unit.
     * @return Unit Returns an Addmission Unit.
     */
    public static synchronized Unit create(String name, Address address){
        // check if addmission has been instantiated, if not instantiate it.
        if(addmission == null){
            addmission = new Addmissions(name, address);
        }
        return addmission;
    }
    private static Addmissions addmission;
}
