/*
 * BuildAddress.java
 *
 * Created on October 21, 2004, 10:53 PM
 */

package university;
import java.io.*;
/**
 * Class builds an Address from entring in information from the console.
 *
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */
public class AddressFactory {
    
    /** Creates a new instance of BuildAddress */
    private AddressFactory() {
    }
 
    /** Builds a new address 
     *  @return Address The new address that has been built */
    public static Address build(){
        String street = null;
        String city = null;
        String state = null;
        String zipCode = null;
        try{
            // Read in the Address information from the console 
            BufferedReader console = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter the street: ");
            street = console.readLine();
            System.out.print("Enter the city: ");
            city = console.readLine();
            System.out.print("Enter the state: ");
            state = console.readLine();
            System.out.print("Enter the zip code: ");
            zipCode = console.readLine();

        }catch(IOException e){
            System.err.println("ERROR: Invalid input.");
        }
        // Create the new address and return it
        Address address = new Address(street, city, state, zipCode);
        return address;
    }
    
}
