/*
 * UniversityDirectory.java
 *
 * Created on October 11, 2004, 12:07 AM
 */

package university;

/**
 * Interface of required methods needed for a directory.
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */
public interface Directory {
    
    /**
     *  Add a Person to the UniversityDirectory 
     *  @param person The person to add to the UniversityDirectory
     */
    public void add(Person person);
    
    /** 
     *  Remove a Person from the UniversityDirectory
     *  @param person The person to remove from the UniversityDirectory
     */
    public void remove(Person person);

    /** List all people in the directory */
    public String listAll();
    
    /**
     * Search for a Person by name.
     * @param name the name of the Person
     * @return the person
     */
    public Person search(String name);
    /**
     * Search for a Person by ID.
     * @param id the ID number of the Person
     * @return the person
     */    
    public Person search(int id);
  
}
