/*
 * Employee.java
 *
 * Created on October 11, 2004, 1:43 AM
 */

package university;

/**
 * Abstract class for the employees of the university.
 * @author Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */


abstract public class Employee extends Person{
    
    /**
     * Creates a new instance of Employee.
     */
    public Employee(){
        super();
    }
    
    /**
     * Creates a new instance of Employee
     * @param name The name of the Employee
     * @param gender The sex of the Employee
     * @param unit The Unit the Employee belong to
     * @param salary The salary of the Employee
     */
    public Employee(String name, Sex gender, Address address, Unit unit, int salary) {
        super(name, gender, address, unit);
        this.salary = salary;
    }
    
    /**
     * Clone a new object
     * @throws java.lang.CloneNotSupportedException Throws CloneNotSupportedException
     * @return Object a cloned object
     */    
    @Override
    public Object clone() throws java.lang.CloneNotSupportedException{
        Employee cloned = (Employee)super.clone();
        cloned.salary = salary;
        return cloned;
    }    
    /**
     * Retruns the salary of the Employee.
     * @return The employee salary
     */
    final public int getSalary(){
        return salary;
    }
    
    /**
     * Sets the Employee salary.
     * @param salary The salary of the Employee
     */
    final public void setSalary(int salary){
        this.salary = salary;
    }
    
    /**
     * Returns a String representation of the Employee.
     * @return A String representing the Employee
     */
    public String toString(){
        return(super.toString() + "Salary: $"+ salary);
    }   
    
    private int salary;             // employee salary
}
