/*
 * Graduate.java
 *
 * Created on October 11, 2004, 1:41 AM
 */

package university;

/**
 * Class for Graduate students in the university.
 * @author  Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */
public class Graduate extends Student implements Cloneable{
    
    /**
     * Creates a new instance of Graduate
     * @param name The name.
     * @param gender The students gender.
     * @param address The students address.
     * @param unit The unit the student belongs to.
     * @param level The level of the student PHD or MASTERS.
     */
    public Graduate(String name, Sex gender, Address address, Unit unit, GraduateLevel level) {
        super(name, gender, address, unit);
        this.level = level;
    }
    
    /**
     * Clone a new object
     * @throws java.lang.CloneNotSupportedException Throws CloneNotSupportedException
     * @return Object a cloned object
     */    
    @Override
    public Object clone() throws java.lang.CloneNotSupportedException{
        Graduate cloned = (Graduate)super.clone();
        cloned.level = level;
        return cloned;
    }
    
    /**
     * Get the level of the graduate student wheather master or phd
     * @return GraduateLevel the level of the graduate student.
     */
    public final GraduateLevel getLevel(){
        return level;
    }
    
    /**
     * Set the graduate students level to phd or masters.
     * @param level The level of the graduate student.
     */
    public final void setLevel(GraduateLevel level){
        this.level = level;
    }
    
    /**
     * Returns a String representation of a Graduate student.
     * @return String A String representing a graduate student.
     */
    @Override
    public String toString(){
        return(super.toString() + ", Graduate Level: " + level + "\n");
    }
    
    private GraduateLevel level;
}
