/*
 * Unit.java
 *
 * Created on October 10, 2004, 11:06 PM
 */

package university;

/**
 * Abstract class for a Unit in the university.
 * @author Nathan Balon
 * University Application
 * CIS 550 - Object Oriented Programming
 * U 0f M Dearborn
 * November 7, 2004
 * @version 1.0
 */
import java.io.Serializable;

/**
 * Abract class for the unit in the University.
 */
public abstract class Unit implements Cloneable, Serializable{
    
    /**
     * Creates a new instance of Unit.
     */
    public Unit() {
        name = "NA";
        address = new Address();
    }
    
    /**
     * Creates a new instance of Unit.
     * @param name The name of the Unit.
     * @param address The address of the Unit.
     */
    public Unit(String name, Address address){
        this.name = name;
        this.address = address;
    }
    
    /**
     * Returns a string representing the Unit.
     * @return a String of the Unit
     */
    public String toString(){
        return(name + ", " + address);
    }
    
    /**
     * Returns the name of the Unit.
     * @return The name of the Unit
     */
    public final String getName(){
        return name;
    }
    
    /**
     * Returns the name of a Unit
     * @return The name of a Unit
     */
    public final Address getAddress(){
        return address;
    }
    
    /**
     * Sets the address of the Unit.
     * @param address The address where the Unit is located
     */
    public final void setAddress(Address address){
        this.address = address;
    }
    
    private String name;
    private Address address;
    
}
